﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace WebServices.OrderByPaymentWeb {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="ARGNS_POORDERPAYMESoap", Namespace="ARGNS_POORDERPAYME")]
    public partial class ARGNS_POORDERPAYME : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private MsgHeader msgHeaderValueField;
        
        private System.Threading.SendOrPostCallback AddOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetByParamsOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetListOperationCompleted;
        
        private System.Threading.SendOrPostCallback InvokeMethodOperationCompleted;
        
        private System.Threading.SendOrPostCallback RemoveOperationCompleted;
        
        private System.Threading.SendOrPostCallback CancelOperationCompleted;
        
        private System.Threading.SendOrPostCallback CloseOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public ARGNS_POORDERPAYME() {
            this.Url = global::WebServices.Properties.Settings.Default.WebServices_PaymentMeansWeb_ARGNS_POPAYMENTMEA;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public MsgHeader MsgHeaderValue {
            get {
                return this.msgHeaderValueField;
            }
            set {
                this.msgHeaderValueField = value;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event AddCompletedEventHandler AddCompleted;
        
        /// <remarks/>
        public event UpdateCompletedEventHandler UpdateCompleted;
        
        /// <remarks/>
        public event GetByParamsCompletedEventHandler GetByParamsCompleted;
        
        /// <remarks/>
        public event GetListCompletedEventHandler GetListCompleted;
        
        /// <remarks/>
        public event InvokeMethodCompletedEventHandler InvokeMethodCompleted;
        
        /// <remarks/>
        public event RemoveCompletedEventHandler RemoveCompleted;
        
        /// <remarks/>
        public event CancelCompletedEventHandler CancelCompleted;
        
        /// <remarks/>
        public event CloseCompletedEventHandler CloseCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_POORDERPAYME/Add", RequestNamespace="ARGNS_POORDERPAYME", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ARGNS_POORDERPAYMEParams")]
        public ARGNS_POORDERPAYMEParams Add([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ARGNS_POORDERPAYME1 ARGNS_POORDERPAYME) {
            object[] results = this.Invoke("Add", new object[] {
                        ARGNS_POORDERPAYME});
            return ((ARGNS_POORDERPAYMEParams)(results[0]));
        }
        
        /// <remarks/>
        public void AddAsync(ARGNS_POORDERPAYME1 ARGNS_POORDERPAYME) {
            this.AddAsync(ARGNS_POORDERPAYME, null);
        }
        
        /// <remarks/>
        public void AddAsync(ARGNS_POORDERPAYME1 ARGNS_POORDERPAYME, object userState) {
            if ((this.AddOperationCompleted == null)) {
                this.AddOperationCompleted = new System.Threading.SendOrPostCallback(this.OnAddOperationCompleted);
            }
            this.InvokeAsync("Add", new object[] {
                        ARGNS_POORDERPAYME}, this.AddOperationCompleted, userState);
        }
        
        private void OnAddOperationCompleted(object arg) {
            if ((this.AddCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.AddCompleted(this, new AddCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_POORDERPAYME/Update", RequestNamespace="ARGNS_POORDERPAYME", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Update([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ARGNS_POORDERPAYME1 ARGNS_POORDERPAYME) {
            this.Invoke("Update", new object[] {
                        ARGNS_POORDERPAYME});
        }
        
        /// <remarks/>
        public void UpdateAsync(ARGNS_POORDERPAYME1 ARGNS_POORDERPAYME) {
            this.UpdateAsync(ARGNS_POORDERPAYME, null);
        }
        
        /// <remarks/>
        public void UpdateAsync(ARGNS_POORDERPAYME1 ARGNS_POORDERPAYME, object userState) {
            if ((this.UpdateOperationCompleted == null)) {
                this.UpdateOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateOperationCompleted);
            }
            this.InvokeAsync("Update", new object[] {
                        ARGNS_POORDERPAYME}, this.UpdateOperationCompleted, userState);
        }
        
        private void OnUpdateOperationCompleted(object arg) {
            if ((this.UpdateCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_POORDERPAYME/GetByParams", RequestNamespace="ARGNS_POORDERPAYME", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ARGNS_POORDERPAYME")]
        public ARGNS_POORDERPAYME1 GetByParams([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ARGNS_POORDERPAYMEParams ARGNS_POORDERPAYMEParams) {
            object[] results = this.Invoke("GetByParams", new object[] {
                        ARGNS_POORDERPAYMEParams});
            return ((ARGNS_POORDERPAYME1)(results[0]));
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ARGNS_POORDERPAYMEParams ARGNS_POORDERPAYMEParams) {
            this.GetByParamsAsync(ARGNS_POORDERPAYMEParams, null);
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ARGNS_POORDERPAYMEParams ARGNS_POORDERPAYMEParams, object userState) {
            if ((this.GetByParamsOperationCompleted == null)) {
                this.GetByParamsOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetByParamsOperationCompleted);
            }
            this.InvokeAsync("GetByParams", new object[] {
                        ARGNS_POORDERPAYMEParams}, this.GetByParamsOperationCompleted, userState);
        }
        
        private void OnGetByParamsOperationCompleted(object arg) {
            if ((this.GetByParamsCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetByParamsCompleted(this, new GetByParamsCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_POORDERPAYME/GetList", RequestNamespace="ARGNS_POORDERPAYME", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlArrayAttribute("ARGNS_POORDERPAYMEsParams")]
        [return: System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_POORDERPAYMEParams", IsNullable=false)]
        public ARGNS_POORDERPAYMEsParamsARGNS_POORDERPAYMEParams[] GetList() {
            object[] results = this.Invoke("GetList", new object[0]);
            return ((ARGNS_POORDERPAYMEsParamsARGNS_POORDERPAYMEParams[])(results[0]));
        }
        
        /// <remarks/>
        public void GetListAsync() {
            this.GetListAsync(null);
        }
        
        /// <remarks/>
        public void GetListAsync(object userState) {
            if ((this.GetListOperationCompleted == null)) {
                this.GetListOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetListOperationCompleted);
            }
            this.InvokeAsync("GetList", new object[0], this.GetListOperationCompleted, userState);
        }
        
        private void OnGetListOperationCompleted(object arg) {
            if ((this.GetListCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetListCompleted(this, new GetListCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_POORDERPAYME/InvokeMethod", RequestNamespace="ARGNS_POORDERPAYME", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void InvokeMethod([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ref InvokeParams InvokeParams, [System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ARGNS_POORDERPAYME1 ARGNS_POORDERPAYME) {
            object[] results = this.Invoke("InvokeMethod", new object[] {
                        InvokeParams,
                        ARGNS_POORDERPAYME});
            InvokeParams = ((InvokeParams)(results[0]));
        }
        
        /// <remarks/>
        public void InvokeMethodAsync(InvokeParams InvokeParams, ARGNS_POORDERPAYME1 ARGNS_POORDERPAYME) {
            this.InvokeMethodAsync(InvokeParams, ARGNS_POORDERPAYME, null);
        }
        
        /// <remarks/>
        public void InvokeMethodAsync(InvokeParams InvokeParams, ARGNS_POORDERPAYME1 ARGNS_POORDERPAYME, object userState) {
            if ((this.InvokeMethodOperationCompleted == null)) {
                this.InvokeMethodOperationCompleted = new System.Threading.SendOrPostCallback(this.OnInvokeMethodOperationCompleted);
            }
            this.InvokeAsync("InvokeMethod", new object[] {
                        InvokeParams,
                        ARGNS_POORDERPAYME}, this.InvokeMethodOperationCompleted, userState);
        }
        
        private void OnInvokeMethodOperationCompleted(object arg) {
            if ((this.InvokeMethodCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.InvokeMethodCompleted(this, new InvokeMethodCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_POORDERPAYME/Remove", RequestNamespace="ARGNS_POORDERPAYME", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Remove([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ARGNS_POORDERPAYMEParams ARGNS_POORDERPAYMEParams) {
            this.Invoke("Remove", new object[] {
                        ARGNS_POORDERPAYMEParams});
        }
        
        /// <remarks/>
        public void RemoveAsync(ARGNS_POORDERPAYMEParams ARGNS_POORDERPAYMEParams) {
            this.RemoveAsync(ARGNS_POORDERPAYMEParams, null);
        }
        
        /// <remarks/>
        public void RemoveAsync(ARGNS_POORDERPAYMEParams ARGNS_POORDERPAYMEParams, object userState) {
            if ((this.RemoveOperationCompleted == null)) {
                this.RemoveOperationCompleted = new System.Threading.SendOrPostCallback(this.OnRemoveOperationCompleted);
            }
            this.InvokeAsync("Remove", new object[] {
                        ARGNS_POORDERPAYMEParams}, this.RemoveOperationCompleted, userState);
        }
        
        private void OnRemoveOperationCompleted(object arg) {
            if ((this.RemoveCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.RemoveCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_POORDERPAYME/Cancel", RequestNamespace="ARGNS_POORDERPAYME", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Cancel([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ARGNS_POORDERPAYMEParams ARGNS_POORDERPAYMEParams) {
            this.Invoke("Cancel", new object[] {
                        ARGNS_POORDERPAYMEParams});
        }
        
        /// <remarks/>
        public void CancelAsync(ARGNS_POORDERPAYMEParams ARGNS_POORDERPAYMEParams) {
            this.CancelAsync(ARGNS_POORDERPAYMEParams, null);
        }
        
        /// <remarks/>
        public void CancelAsync(ARGNS_POORDERPAYMEParams ARGNS_POORDERPAYMEParams, object userState) {
            if ((this.CancelOperationCompleted == null)) {
                this.CancelOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCancelOperationCompleted);
            }
            this.InvokeAsync("Cancel", new object[] {
                        ARGNS_POORDERPAYMEParams}, this.CancelOperationCompleted, userState);
        }
        
        private void OnCancelOperationCompleted(object arg) {
            if ((this.CancelCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CancelCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_POORDERPAYME/Close", RequestNamespace="ARGNS_POORDERPAYME", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Close([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ARGNS_POORDERPAYMEParams ARGNS_POORDERPAYMEParams) {
            this.Invoke("Close", new object[] {
                        ARGNS_POORDERPAYMEParams});
        }
        
        /// <remarks/>
        public void CloseAsync(ARGNS_POORDERPAYMEParams ARGNS_POORDERPAYMEParams) {
            this.CloseAsync(ARGNS_POORDERPAYMEParams, null);
        }
        
        /// <remarks/>
        public void CloseAsync(ARGNS_POORDERPAYMEParams ARGNS_POORDERPAYMEParams, object userState) {
            if ((this.CloseOperationCompleted == null)) {
                this.CloseOperationCompleted = new System.Threading.SendOrPostCallback(this.OnCloseOperationCompleted);
            }
            this.InvokeAsync("Close", new object[] {
                        ARGNS_POORDERPAYMEParams}, this.CloseOperationCompleted, userState);
        }
        
        private void OnCloseOperationCompleted(object arg) {
            if ((this.CloseCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.CloseCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public void CancelAsync1(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace="http://www.sap.com/SBO/DIS", IsNullable=false)]
    public partial class MsgHeader : System.Web.Services.Protocols.SoapHeader {
        
        private string sessionIDField;
        
        private MsgHeaderServiceName serviceNameField;
        
        private bool serviceNameFieldSpecified;
        
        /// <remarks/>
        public string SessionID {
            get {
                return this.sessionIDField;
            }
            set {
                this.sessionIDField = value;
            }
        }
        
        /// <remarks/>
        public MsgHeaderServiceName ServiceName {
            get {
                return this.serviceNameField;
            }
            set {
                this.serviceNameField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ServiceNameSpecified {
            get {
                return this.serviceNameFieldSpecified;
            }
            set {
                this.serviceNameFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum MsgHeaderServiceName {
        
        /// <remarks/>
        ARGNS_POORDERPAYME,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ARGNS_POORDERPAYME1 {
        
        private long docNumField;
        
        private bool docNumFieldSpecified;
        
        private long periodField;
        
        private bool periodFieldSpecified;
        
        private long instanceField;
        
        private bool instanceFieldSpecified;
        
        private long seriesField;
        
        private bool seriesFieldSpecified;
        
        private string handwrttenField;
        
        private string statusField;
        
        private string requestStatusField;
        
        private string creatorField;
        
        private string remarkField;
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private string canceledField;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private long userSignField;
        
        private bool userSignFieldSpecified;
        
        private string transferedField;
        
        private System.DateTime createDateField;
        
        private bool createDateFieldSpecified;
        
        private System.DateTime createTimeField;
        
        private bool createTimeFieldSpecified;
        
        private System.DateTime updateDateField;
        
        private bool updateDateFieldSpecified;
        
        private System.DateTime updateTimeField;
        
        private bool updateTimeFieldSpecified;
        
        private string dataSourceField;
        
        private long u_DocTypeField;
        
        private bool u_DocTypeFieldSpecified;
        
        private long u_DocEntryOrderField;
        
        private bool u_DocEntryOrderFieldSpecified;
        
        private string u_PaymentCodeField;
        
        private double u_AmountField;
        
        private bool u_AmountFieldSpecified;

        private double u_NetoField;

        private bool u_NetoFieldSpecified;

        private int u_CreditCardField;

        private bool u_CreditCardFieldSpecified;
       
        private string u_VoucherField;

        private bool u_VoucherFieldSpecified;

        private int u_QuotasField;

        private bool u_QuotasFieldSpecified;

        private double u_AmountSurchargerField;

        private bool u_AmountSurchargerFieldSpecified;

        private long u_DocNumOrderField;

        private bool u_DocNumOrderFieldSpecified;

        private long u_ContractField;

        private bool u_ContractFieldSpecified;

        private System.DateTime u_DateField;
        private bool u_DateFieldSpecified;

        public System.DateTime U_Date
        {
            get
            {
                return this.u_DateField;
            }
            set
            {
                this.u_DateField = value;
            }
        }

        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_DateSpecified
        {
            get
            {
                return this.u_DateFieldSpecified;
            }
            set
            {
                this.u_DateFieldSpecified = value;
            }
        }



        private System.DateTime u_DueDateField;
        private bool u_DueDateFieldSpecified;

        public System.DateTime U_DueDate
        {
            get
            {
                return this.u_DueDateField;
            }
            set
            {
                this.u_DueDateField = value;
            }
        }

        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_DueDateSpecified
        {
            get
            {
                return this.u_DueDateFieldSpecified;
            }
            set
            {
                this.u_DueDateFieldSpecified = value;
            }
        }


        private string u_AccountField;
        private bool u_AccountFieldSpecified;

        public string U_Account
        {
            get
            {
                return this.u_AccountField;
            }
            set
            {
                this.u_AccountField = value;
            }
        }

        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_AccountSpecified
        {
            get
            {
                return this.u_AccountFieldSpecified;
            }
            set
            {
                this.u_AccountFieldSpecified = value;
            }
        }


        private string u_CUITField;
        private bool u_CUITFieldSpecified;

        public string U_CUIT
        {
            get
            {
                return this.u_CUITField;
            }
            set
            {
                this.u_CUITField = value;
            }
        }

        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_CUITSpecified
        {
            get
            {
                return this.u_CUITFieldSpecified;
            }
            set
            {
                this.u_CUITFieldSpecified = value;
            }
        }


        private string u_ReferenceField;
        private bool u_ReferenceFieldSpecified;

        public string U_Reference
        {
            get
            {
                return this.u_ReferenceField;
            }
            set
            {
                this.u_ReferenceField = value;
            }
        }

        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_ReferenceSpecified
        {
            get
            {
                return this.u_ReferenceFieldSpecified;
            }
            set
            {
                this.u_ReferenceFieldSpecified = value;
            }
        }


        /// <remarks/>
        public long DocNum {
            get {
                return this.docNumField;
            }
            set {
                this.docNumField = value;
            }
        }

        public long U_DocNumOrder
        {
            get
            {
                return this.u_DocNumOrderField;
            }
            set
            {
                this.u_DocNumOrderField = value;
            }
        }

        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool u_DocNumOrderSpecified
        {
            get
            {
                return this.u_DocNumOrderFieldSpecified;
            }
            set
            {
                this.u_DocNumOrderFieldSpecified = value;
            }
        }


        public long U_Contract
        {
            get
            {
                return this.u_ContractField;
            }
            set
            {
                this.u_ContractField = value;
            }
        }

        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_ContractSpecified
        {
            get
            {
                return this.u_ContractFieldSpecified;
            }
            set
            {
                this.u_ContractFieldSpecified = value;
            }
        }



        public double U_AmountSurcharger
        {
            get
            {
                return this.u_AmountSurchargerField;
            }
            set
            {
                this.u_AmountSurchargerField = value;
            }
        }

        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_AmountSurchargerSpecified
        {
            get
            {
                return this.u_AmountSurchargerFieldSpecified;
            }
            set
            {
                this.u_AmountSurchargerFieldSpecified = value;
            }
        }

        public int U_Quotas
        {
            get
            {
                return this.u_QuotasField;
            }
            set
            {
                this.u_QuotasField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_QuotasSpecified
        {
            get
            {
                return this.u_QuotasFieldSpecified;
            }
            set
            {
                this.u_QuotasFieldSpecified = value;
            }
        }

        public string U_Voucher
        {
            get
            {
                return this.u_VoucherField;
            }
            set
            {
                this.u_VoucherField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_VoucherSpecified
        {
            get
            {
                return this.u_VoucherFieldSpecified;
            }
            set
            {
                this.u_VoucherFieldSpecified = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocNumSpecified {
            get {
                return this.docNumFieldSpecified;
            }
            set {
                this.docNumFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Period {
            get {
                return this.periodField;
            }
            set {
                this.periodField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool PeriodSpecified {
            get {
                return this.periodFieldSpecified;
            }
            set {
                this.periodFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Instance {
            get {
                return this.instanceField;
            }
            set {
                this.instanceField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool InstanceSpecified {
            get {
                return this.instanceFieldSpecified;
            }
            set {
                this.instanceFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long Series {
            get {
                return this.seriesField;
            }
            set {
                this.seriesField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool SeriesSpecified {
            get {
                return this.seriesFieldSpecified;
            }
            set {
                this.seriesFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Handwrtten {
            get {
                return this.handwrttenField;
            }
            set {
                this.handwrttenField = value;
            }
        }
        
        /// <remarks/>
        public string Status {
            get {
                return this.statusField;
            }
            set {
                this.statusField = value;
            }
        }
        
        /// <remarks/>
        public string RequestStatus {
            get {
                return this.requestStatusField;
            }
            set {
                this.requestStatusField = value;
            }
        }
        
        /// <remarks/>
        public string Creator {
            get {
                return this.creatorField;
            }
            set {
                this.creatorField = value;
            }
        }
        
        /// <remarks/>
        public string Remark {
            get {
                return this.remarkField;
            }
            set {
                this.remarkField = value;
            }
        }
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Canceled {
            get {
                return this.canceledField;
            }
            set {
                this.canceledField = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long UserSign {
            get {
                return this.userSignField;
            }
            set {
                this.userSignField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UserSignSpecified {
            get {
                return this.userSignFieldSpecified;
            }
            set {
                this.userSignFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Transfered {
            get {
                return this.transferedField;
            }
            set {
                this.transferedField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime CreateDate {
            get {
                return this.createDateField;
            }
            set {
                this.createDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool CreateDateSpecified {
            get {
                return this.createDateFieldSpecified;
            }
            set {
                this.createDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime CreateTime {
            get {
                return this.createTimeField;
            }
            set {
                this.createTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool CreateTimeSpecified {
            get {
                return this.createTimeFieldSpecified;
            }
            set {
                this.createTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime UpdateDate {
            get {
                return this.updateDateField;
            }
            set {
                this.updateDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UpdateDateSpecified {
            get {
                return this.updateDateFieldSpecified;
            }
            set {
                this.updateDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="time")]
        public System.DateTime UpdateTime {
            get {
                return this.updateTimeField;
            }
            set {
                this.updateTimeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UpdateTimeSpecified {
            get {
                return this.updateTimeFieldSpecified;
            }
            set {
                this.updateTimeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string DataSource {
            get {
                return this.dataSourceField;
            }
            set {
                this.dataSourceField = value;
            }
        }
        
        /// <remarks/>
        public long U_DocType {
            get {
                return this.u_DocTypeField;
            }
            set {
                this.u_DocTypeField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_DocTypeSpecified {
            get {
                return this.u_DocTypeFieldSpecified;
            }
            set {
                this.u_DocTypeFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_DocEntryOrder {
            get {
                return this.u_DocEntryOrderField;
            }
            set {
                this.u_DocEntryOrderField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_DocEntryOrderSpecified {
            get {
                return this.u_DocEntryOrderFieldSpecified;
            }
            set {
                this.u_DocEntryOrderFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_PaymentCode {
            get {
                return this.u_PaymentCodeField;
            }
            set {
                this.u_PaymentCodeField = value;
            }
        }
        
        /// <remarks/>
        public double U_Amount {
            get {
                return this.u_AmountField;
            }
            set {
                this.u_AmountField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_AmountSpecified {
            get {
                return this.u_AmountFieldSpecified;
            }
            set {
                this.u_AmountFieldSpecified = value;
            }
        }

        /// <remarks/>
        public double U_Neto
        {
            get
            {
                return this.u_NetoField;
            }
            set
            {
                this.u_NetoField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_NetoSpecified
        {
            get
            {
                return this.u_NetoFieldSpecified;
            }
            set
            {
                this.u_NetoFieldSpecified = value;
            }
        }

        /// <remarks/>
        public int U_CreditCard
        {
            get
            {
                return this.u_CreditCardField;
            }
            set
            {
                this.u_CreditCardField = value;
            }
        }

        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_CreditCardSpecified
        {
            get
            {
                return this.u_CreditCardFieldSpecified;
            }
            set
            {
                this.u_CreditCardFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ARGNS_POORDERPAYMEParams {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ARGNS_POORDERPAYMEsParamsARGNS_POORDERPAYMEParams {
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.8.3761.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class InvokeParams {
        
        private string valueField;
        
        /// <remarks/>
        public string Value {
            get {
                return this.valueField;
            }
            set {
                this.valueField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    public delegate void AddCompletedEventHandler(object sender, AddCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class AddCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal AddCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ARGNS_POORDERPAYMEParams Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ARGNS_POORDERPAYMEParams)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    public delegate void UpdateCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    public delegate void GetByParamsCompletedEventHandler(object sender, GetByParamsCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetByParamsCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetByParamsCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ARGNS_POORDERPAYME1 Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ARGNS_POORDERPAYME1)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    public delegate void GetListCompletedEventHandler(object sender, GetListCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetListCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetListCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ARGNS_POORDERPAYMEsParamsARGNS_POORDERPAYMEParams[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ARGNS_POORDERPAYMEsParamsARGNS_POORDERPAYMEParams[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    public delegate void InvokeMethodCompletedEventHandler(object sender, InvokeMethodCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class InvokeMethodCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal InvokeMethodCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public InvokeParams InvokeParams {
            get {
                this.RaiseExceptionIfNecessary();
                return ((InvokeParams)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    public delegate void RemoveCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    public delegate void CancelCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.8.3761.0")]
    public delegate void CloseCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
}

#pragma warning restore 1591